[SCM] live-build branch, debian-next, updated. debian/3.0_a19-1-13-g65b7eb9

Daniel Baumann daniel at debian.org
Sat Jun 11 14:14:13 UTC 2011


The following commit has been merged in the debian-next branch:
commit 14a3d468dc42fe6088e18dc9deca7fbff557fb97
Author: Daniel Baumann <daniel at debian.org>
Date:   Sat Jun 11 16:03:16 2011 +0200

    Adding support for 'nif' in package lists.

diff --git a/functions/packagelists.sh b/functions/packagelists.sh
index 1d6c681..aeb71f6 100755
--- a/functions/packagelists.sh
+++ b/functions/packagelists.sh
@@ -64,6 +64,30 @@ Expand_packagelist ()
 					done
 					;;
 
+				\#nif\ *)
+					if [ ${_LB_NESTED} -eq 1 ]
+					then
+						echo "E: Nesting conditionals is not supported" >&2
+						exit 1
+					fi
+					_LB_NESTED=1
+
+					_LB_NEEDLE="$(echo "${_LB_LINE}" | cut -d' ' -f3-)"
+					_LB_HAYSTACK="$(eval "echo \$LB_$(echo "${_LB_LINE}" | cut -d' ' -f2)")"
+
+					_LB_ENABLED=0
+					for _LB_NEEDLE_PART in ${_LB_NEEDLE}
+					do
+						for _LB_HAYSTACK_PART in ${_LB_HAYSTACK}
+						do
+							if [ "${_LB_NEEDLE_PART}" != "${_LB_HAYSTACK_PART}" ]
+							then
+								_LB_ENABLED=1
+							fi
+						done
+					done
+					;;
+
 				\#endif*)
 					_LB_NESTED=0
 					_LB_ENABLED=1

-- 
live-build



More information about the debian-live-changes mailing list